Bug 1284256 - container provider's timeline balloons have labels relevant to vms and are missing container ones
container provider's timeline balloons have labels relevant to vms and are mi...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.5.0
Assigned To: Mooli Tayer
Einat Pacifici
container
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-22 07:56 EST by Mooli Tayer
Modified: 2015-12-08 08:49 EST (History)
11 users (show)

See Also:
Fixed In Version: 5.5.0.12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:49:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
wrong text (10.52 KB, image/png)
2015-11-22 07:57 EST, Mooli Tayer
no flags Details
balloon 1 (17.48 KB, image/png)
2015-11-22 07:59 EST, Mooli Tayer
no flags Details

  None (edit)
Description Mooli Tayer 2015-11-22 07:56:41 EST
Description of problem:
timeline balloons container vm related labels and are missing container labels

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Go into a certain provider
2. press monitoring -> timelines
3. hover over one of the events to see event balloons

Actual results:
see description and screenshots

Expected results:
balloon should contain container labels and should not container vm labels

Additional info:
Comment 2 Mooli Tayer 2015-11-22 07:57 EST
Created attachment 1097530 [details]
wrong text
Comment 3 Mooli Tayer 2015-11-22 07:59 EST
Created attachment 1097532 [details]
balloon 1
Comment 4 Mooli Tayer 2015-11-22 08:00:00 EST
submitted upstream: https://github.com/ManageIQ/manageiq/pull/5053
Comment 8 Einat Pacifici 2015-11-30 04:53:55 EST
Can you please provide expected results for the below: 
a) Expected fields for Provider balloons
b) Expected fields for Container balloons
Comment 9 Mooli Tayer 2015-12-02 03:55:50 EST
(In reply to Einat Pacifici from comment #8)
> Can you please provide expected results for the below: 
> a) Expected fields for Provider balloons
> b) Expected fields for Container balloons

We used to have "source vm" "source vm location" "destination vm" "destination vm location". 

The relevant container fields are these:

container_node_id         | 
container_node_name       | 
container_group_id        | 
container_group_name      | 
container_namespace       | 
container_id              | 
container_name            | 
container_replicator_id   | 
container_replicator_name | 

but only those that are not empty are displayed (most of them usually are)
Comment 10 Einat Pacifici 2015-12-02 06:15:14 EST
Verified. 
Container Balloon contains relevant information.
Comment 12 errata-xmlrpc 2015-12-08 08:49:54 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.